%define		plugin		bureaucracy
%define		php_min_version 5.1.2
%include	/usr/lib/rpm/macros.php
Summary:	Easily create HTML forms and collect the data via email or use it to create pages
Summary(pl.UTF-8):	Wtyczka bureaucracy dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20111124
Release:	6
License:	GPL v2
Group:		Applications/WWW
Source0:	http://github.com/splitbrain/dokuwiki-plugin-%{plugin}/tarball/master#/%{plugin}-%{version}.tgz
# Source0-md5:	82ecc5920d3cccbd507e29092f2a5db3
URL:		http://www.dokuwiki.org/plugin:bureaucracy
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20090214
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php(spl)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
The bureaucracy plugin allows you to create a HTML form right within
DokuWiki.

Input format validation is automatically handled by the plugin and
requires no coding. User input can be emailed to a preconfigured
address or used to create new pages using a template.

%prep
%setup -qc
mv *-%{plugin}-*/* .

version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/README

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js/css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/conf
%{plugindir}/script
%{plugindir}/actions
%{plugindir}/fields
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 83934ca
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 78539f1
- use virtual php extension deps (to be independant of php version)
- release 5 (by relup.sh)

* Sun Jun 24 2012 Elan Ruusamäe <glen@pld-linux.org> e3ef4fc
- up to 20111124

* Fri Aug 12 2011 Elan Ruusamäe <glen@pld-linux.org> bb1cf2c
- deps

* Fri Aug 12 2011 Elan Ruusamäe <glen@pld-linux.org> 9094ada
- new

